Subject: clarifications - was RE: Higher level question about flow label

From: [email-masked]
Date: Thu, 30 Aug 2001 19:24:03 EDT

I am on the road, so apologies, if the formatting of this message is messed 
up.

>Tony Hain wrote:
> 
> >>Alex Conta wrote:
> >
> >> To me it is simple:  I see the IPv6 main header divided into functions
> >> for forwarding, 
> >> and functions for QoS. 
> >
> >You appear to have forgotten that the endpoints need to
> >communicate with each other. The header is also used for
> >that primary function, or the others will not matter.
> 

Perhaps my text was too abstract:  "functions for forwarding", above, include 
the packet forwarding/sending performed by the source host, and the packet 
receiving performed on the destination host

> > Anyway the point is that we are 
> > being asked to change an existing definition to accomidate
> > a capability that another WG really needs, but refused to
> > create for itself in the field it had to work with. Why 
> > should we do that? [...]

There are no changes to the normative definition in RFC 2460 -- see the AD 
clarification. There is a new model added.

You make a point, which, I think at this moment, I understand and appreciate 
well.

Regards,
Alex